Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
gem install mini_racer -v '0.1.4
quote> '
Building native extensions. This could take a while...
ERROR: Error installing mini_racer:
ERROR: Failed to build gem native extension.
current directory: /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mini_racer-0.1.4/ext/mini_racer_extension
/usr/local/opt/rbenv/versions/2.3.1/bin/ruby -r ./siteconf20170102-29611-6vwyaq.rb extconf.rb
checking for main() in -lpthread... yes
creating Makefile
To see why this extension failed to compile, please check the mkmf.log which can be found here:
/usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/extensions/x86_64-linux/2.3.0-static/mini_racer-0.1.4/mkmf.log
current directory: /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mini_racer-0.1.4/ext/mini_racer_extension
make "DESTDIR=" clean
current directory: /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mini_racer-0.1.4/ext/mini_racer_extension
make "DESTDIR="
compiling mini_racer_extension.cc
mini_racer_extension.cc:4:24: fatal error: include/v8.h: Aucun fichier ou dossier de ce type
compilation terminated.
Makefile:206 : la recette pour la cible « mini_racer_extension.o » a échouée
make: *** [mini_racer_extension.o] Erreur 1
make failed, exit code 2
Gem files will remain installed in /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/mini_racer-0.1.4 for inspection.
Results logged to /usr/local/opt/rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/extensions/x86_64-linux/2.3.0-static/mini_racer-0.1.4/gem_make.out
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment